Name:    libkdeedu
Summary: Libraries used by KDE Education applications
Version: 15.04.3
Release: %mkrel 1
Group:   Graphical desktop/KDE4
License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/libkdeedu
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires: kdelibs-devel
Requires: kdelibs

%description
%{summary}.

%package devel
Summary:  Development files for %{name} 
Group: Development/Libraries
Requires: %{name}
Requires: kdelibs-devel 

%description devel
%{summary}.

%package static 
Summary:  Static libraries for %{name}
Group: Development/Libraries
License: LGPLv2 or GPLv3
Requires: %{name}-devel

%description static 
%{summary}, including libqtmmlwidget.

%prep
%setup -q

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install
mkdir -p %{buildroot}%{_kde_appsdir}/libkdeedu

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB README 
%{_kde_libdir}/libkeduvocdocument.so.*
%{_kde_appsdir}/libkdeedu/


%files devel
%defattr(-,root,root)
%{_kde_libdir}/cmake/libkdeedu/
%{_kde_libdir}/libkeduvocdocument.so
%dir %{_kde_includedir}/libkdeedu/
%{_kde_includedir}/libkdeedu/*keduvoc*.h
%{_kde_includedir}/libkdeedu/sharedkvtmlfiles.h

%files static
%defattr(-,root,root)
%{_kde_includedir}/libkdeedu/qtmml/
%{_kde_libdir}/libqtmmlwidget.a

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sat Mar 07 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Tue Mar 04 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Tue Jan 07 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Tue Nov 05 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- 4.11.3

* Tue Jul 2 2013 pinoc <vogtpet at gmail.com> 4.10.5-1pclos2013
- 4.10.5

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 4.10.4-1pclos2013
- 4.10.4

* Mon Mar 11 2013 pinoc <vogtpet at gmail.com> 4.10.1-1pclos2013
- 4.10.1

* Sun Jan 13 2013 pinoc <vogtpet at gmail.com> 4.9.5-1pclos2013
- 4.9.5

* Mon Oct 08 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.2-1_archie_2012
- update

* Mon Sep 10 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.1-1_archie_2012
- update

* Fri Aug 03 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.0-1_archie_2012
- update

* Thu Jul 26 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-4pclos2012
- change obsoletes to conflicts

* Sun Jul 15 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-3pclos2012
- set obsoletes

* Tue May 29 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-2pclos2012
- process

* Tue May 29 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-2_archie_2012
- Rebuild against new packages

* Fri May 04 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-1_archie_2012
- 4.8.3

* Sat Apr 14 2012 Neal <nealbrks0 at gmail dot com> 4.8.2-1pclos2012
- process

* Sat Apr 14 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.2-1_archie_2012
- 4.8.2

* Tue Feb 21 2012 Neal <nealbrks0 at gmail dot com> 4.8.0-1pclos2012
- process

* Sun Feb 19 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.0-1_archie_2011
- Checked build for x86_64

* Fri Feb 17 2012 leiche <meisssw91 at gmail.com> 4.8.0-1pclos2012
- 4.8.0
